/*
CSS file for Alston Heritage website
Ver 1.0 - May 2025
*/
  :root {
    --headerFont: #f2c524 ;
    --grey: #858585 ;
    --lightGrey: #e6e6e6 ;
    --backgroundColour: #e6e6e6 ;/* #e6ffe6 */
    --brightGreen: #009933 ;
    --darkGreen: #003300 ;
    --black: #000000 ;
  }

  body, html {
    font-family: Montserrat, Arial, sans-serif;
    font: 1.0em sans-serif;
    height: 100%;
    background-image:url("./images/background_img.jpg");
    background-size: cover;
    background-color: var(--backgroundColour) ;
    }
  
  .ah_faded_background{
    background-image:url("./images/1999_CommPhoto_faded.jpg");
    background-size: cover;
    background-color: var(--backgroundColour) ;
    }

	strong{
    color: #003300;   /*003300*/
    font-family: Montserrat, sans-serif;
    font: 1.1em sans-serif; 
  }

  @media (max-width:768px){
    .ah-title-box-left {
      display: block; margin: auto; width: 50%; opacity: 0.8; max-width: 300px; height: auto;
    }
  }
  @media (min-width:768px){
    .ah-title-box-left {
      display: block; margin: auto; width: 60%; opacity: 0.8;                   height: auto;
    }
  }

  @media (max-width:768px){
    .ah-title-box-right {
      display: block; margin: auto; width: 50%; opacity: 1.0; max-width: 300px; height: auto;
    }
  }
  @media (min-width:768px){
    .ah-title-box-right {
      display: block; margin: auto; width: auto; opacity: 1.0;                  height: 300px;
    }
  }

  @media (max-width:768px){
    .ah-panel{
      color:#1a1a1a; background-color:rgb(204, 204, 204, 0.6); padding:5px; border-width:1px; border-color:#1a1a1a;
    }
  }
  @media (min-width:768px){
    .ah-panel{
      color:#1a1a1a; background-color:rgb(204, 204, 204, 0.6); padding:5px; border-width:1px; border-color:#1a1a1a;
    }
  }

  @media (max-width:768px){
    .ah-highlight-panel{
      color:#1a1a1a; background-color:rgb(204, 204, 204, 0.6); padding:5px; border-width:5px; border-color:#ff0000;
    }
  }
  @media (min-width:768px){
    .ah-highlight-panel{
      color:#1a1a1a; background-color:rgb(204, 204, 204, 0.6); padding:5px; border-width:5px; border-color:#ff0000;
    }
  }

  @media (max-width:768px){
    .ah-advert-title-left {
      display: block;
      margin: auto;
      width: 50%;
      opacity: 0.8;
      max-width: 100px;
      height: auto;
    }
    .ah-advert-title-right {
      display: block;
      margin: auto;
      width: 50%;
      opacity: 1.0;
      max-width: 300px;
      height: auto;
    }

    .ah-link-panel{
      color:#1a1a1a;
      background-color:rgb(204, 204, 204, 0.7);
      padding:5px;
      border-width:1px;
      border-color:#1a1a1a;
    }
    .ah-link-panel.focus,.ah-link-panel:focus{color:#fff;
    background-color:rgb(204, 204, 204, 0.9);
    border-color:#1b6d85}

    .ah-link-panel:hover{color:#fff;
    background-color:rgb(204, 204, 204, 0.9);
    border-color:#269abc}

   .ah-h4{
      font-size: 0.8em;
      text-align:center;
    }
  }

  @media (min-width:768px){
    .ah-title-box-left {
      display: block;
      margin: auto;
      width: 60%;
      opacity: 0.8;
      height: auto;
    }
    .ah-advert-title-left {
      display: block;
      margin: auto;
      width: 60%;
      opacity: 0.8;
      height: auto;
    }
    .ah-advert-title-right {
      display: block;
      margin: auto;
      width: auto;
      opacity: 1.0;
      height: 300px;
    }

    .ah-h4{
      font-size: 1.2em;
      text-align:center;
    }
  }

  .ah-img-float{
    float:right;
    width:40%;
    padding: 10px;
  }

  .logo-box{
    color:#ffcc00;
    font-size:18px;
  }

  .footer {
    font: 1.2em Montserrat, sans-serif;
    position: fixed;
    left: 0;
    bottom: 0;
    width:100%;
    background: rgb(0, 0, 0); /* Fallback color */
    background: rgba(0, 0, 0, 0.5); /* Black background with 0.5 opacity */
    color: var(--headerFont); /*white (AM)*/
    text-align: center;
  }

/*  .footer a{ color: #ffcc00; text-decoration:none }
  .footer a:hover{ color: #609dd2; text-decoration:underline }
*/
.btn-default
{color:#111;background-color:#ccc;border-color:#aaa}

.btn-default.focus,.btn-default:focus
{color:#333;background-color:#aaa;border-color:#888}

.btn-default:hover
{color:#333;background-color:#aaa;border-color:#888}

.btn-default.active,.btn-default:active,.open>.dropdown-toggle.btn-default
{color:#333;background-color:#aaa;background-image:none;border-color:#adadad}

.btn-default.active.focus,.btn-default.active:focus,.btn-default.active:hover,.btn-default:active.focus,
.btn-default:active:focus,.btn-default:active:hover,.open>.dropdown-toggle.btn-default.focus,
.open>.dropdown-toggle.btn-default:focus,.open>.dropdown-toggle.btn-default:hover
{color:#333;background-color:#d4d4d4;border-color:#8c8c8c}

.btn-default.disabled.focus,.btn-default.disabled:focus,.btn-default.disabled:hover,
.btn-default[disabled].focus,.btn-default[disabled]:focus,.btn-default[disabled]:hover,
fieldset[disabled] .btn-default.focus,fieldset[disabled] .btn-default:focus,fieldset[disabled] .btn-default:hover
{background-color:#fff;border-color:#ccc}


